Issue 122027 - [sidebar] Dispatching ".uno:NumberType" crashes
[sidebar] Dispatching ".uno:NumberType" crashes
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
: crash
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-10 01:12 UTC by Ariel Constenla-Haile
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Bug doc (7.86 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-10 01:12 UTC, Ariel Constenla-Haile
no flags Details
Patch to fix the crash (3.37 KB, patch)
2013-04-10 01:14 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-04-10 01:12:49 UTC
Created attachment 80517 [details]
Bug doc

Open the attached document
It has a custom toolbar with a toolbar item that dispatches ".uno:NumberType"
Select this toolbar item.
The application crashes:

Program received signal SIGSEGV, Segmentation fault.
0x00007f96cb4319ba in ScFormatShell::ExecuteNumFormat (this=0x3a637c8, rReq=...) at /build/aoo/src/sidebar/main/sc/source/ui/view/formatsh.cxx:1109
1109                                    SfxInt16Item aFormatItem((const SfxInt16Item&)rReq.GetArgs()->Get(nSlot));
(gdb) bt
#0  0x00007f96cb4319ba in ScFormatShell::ExecuteNumFormat (this=0x3a637c8, rReq=...) at /build/aoo/src/sidebar/main/sc/source/ui/view/formatsh.cxx:1109
#1  0x00007f96cb42dfcc in SfxStubScFormatShellExecuteNumFormat (pShell=0x3a637c8, rReq=...) at ../../../unxlngx6/inc/scslots.hxx:5764
#2  0x00007f97082b3bc6 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#3  0x00007f97082aaa2f in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#4  0x00007f97082ace68 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#5  0x00007f9708157384 in SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#6  0x00007f970816a089 in SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) () from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#7  0x00007f970816a5ec in SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libsfx.so
#8  0x00007f96f2662774 in framework::GenericToolbarController::ExecuteHdl_Impl(framework::GenericToolbarController*, framework::ExecuteInfo*) ()
   from /home/ariel/aoo/sidebar/openoffice4/program/../basis-link/program/libfwk.so
Comment 1 Ariel Constenla-Haile 2013-04-10 01:14:32 UTC
Created attachment 80518 [details]
Patch to fix the crash
Comment 2 Ariel Constenla-Haile 2013-04-10 01:15:58 UTC
Side note: the command seems to be in the wrong category, "View" (cf. Tools - Customize).
Comment 3 SVN Robot 2013-04-11 13:29:53 UTC
"af" committed SVN revision 1466881 into trunk:
122027: Fixed crash when processing .uno:NumberType command.
Comment 4 Andre 2013-04-11 13:30:18 UTC
Thanks for the patch.
Applied.